Skip to main content
GET
https://api.trillet.ai
/
v1
/
api
/
voices
/
search
Search Voices
curl --request GET \
  --url https://api.trillet.ai/v1/api/voices/search \
  --header 'x-api-key: <api-key>' \
  --header 'x-workspace-id: <x-workspace-id>'
[
  {
    "_id": "665a1b2c3d4e5f6a7b8c9d0e",
    "name": "Wildflower",
    "voiceId": "mistv2_Wildflower",
    "provider": "rime",
    "gender": "female",
    "accent": "american",
    "description": "Alt Female, Smart",
    "previewUrl": "https://example.com/preview.mp3"
  },
  {
    "_id": "665a1b2c3d4e5f6a7b8c9d0f",
    "name": "Brook",
    "voiceId": "mistv2_Brook",
    "provider": "rime",
    "gender": "male",
    "accent": "american",
    "description": "Male, Friendly"
  }
]

Headers

x-api-key
string
required
API key used for authenticating requests to the API.
x-workspace-id
string
required
Workspace identifier for the API.

Query Parameters

name
string
Search voices by name.
category
string
Filter by voice category.
gender
string
Filter by gender (e.g., “male”, “female”).
accent
string
Filter by accent (e.g., “american”, “british”, “australian”).
age
string
Filter by age range (e.g., “young”, “middle_aged”, “old”).
useCase
string
Filter by use case (e.g., “conversational”, “narration”).
provider
string
Filter by provider (e.g., “rime”, “elevenlabs”, “hume”, “cartesia”).

Response Fields

voices
array
Array of matching voice objects.
_id
string
Unique identifier for the voice.
name
string
Display name of the voice.
voiceId
string
Voice ID used in TTS configuration.
provider
string
TTS provider for this voice.
gender
string
Gender of the voice.
accent
string
Accent of the voice.
description
string
Description of the voice characteristics.
previewUrl
string
URL to a voice preview audio sample.
[
  {
    "_id": "665a1b2c3d4e5f6a7b8c9d0e",
    "name": "Wildflower",
    "voiceId": "mistv2_Wildflower",
    "provider": "rime",
    "gender": "female",
    "accent": "american",
    "description": "Alt Female, Smart",
    "previewUrl": "https://example.com/preview.mp3"
  },
  {
    "_id": "665a1b2c3d4e5f6a7b8c9d0f",
    "name": "Brook",
    "voiceId": "mistv2_Brook",
    "provider": "rime",
    "gender": "male",
    "accent": "american",
    "description": "Male, Friendly"
  }
]